> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Primary Minecraft Account

> Sets a specific Minecraft UUID as the primary linked account for a given Discord user.



## OpenAPI

````yaml https://stash.seraph.si/json patch /discord/user/{snowflake}/primary/{player}
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /discord/user/{snowflake}/primary/{player}:
    patch:
      tags:
        - Discord
        - User Linking
      summary: Set Primary Minecraft Account
      description: >-
        Sets a specific Minecraft UUID as the primary linked account for a given
        Discord user.
      parameters:
        - description: Discord Snowflake ID
          in: path
          name: snowflake
          required: true
          schema:
            type: string
        - description: Minecraft UUID to set as primary
          in: path
          name: player
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: string
          description: Successfully set primary account (returns Discord Snowflake)
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: >-
            Bad request, e.g., invalid Minecraft UUID or account not linked to
            Discord
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Unauthorized, not enough permissions
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error
components:
  schemas:
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````